API ReferenceForms
Create a new form
Authorization
api-key X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/forms" \ -H "Content-Type: application/json" \ -d '{ "name": "Newsletter Signup" }'{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "workspaceId": "550e8400-e29b-41d4-a716-446655440000", "name": "Newsletter Signup", "type": "inline", "status": "draft", "segmentId": null, "fields": [], "styles": {}, "successMessage": "Thanks for subscribing!", "redirectUrl": null, "doubleOptIn": false, "consentStatement": null, "privacyPolicyUrl": null, "captureTimezone": false, "landingPageMeta": null, "viewsCount": 0, "submissionsCount": 0, "createdAt": "2026-01-01T00:00:00.000Z", "updatedAt": "2026-01-01T00:00:00.000Z", "publishedAt": null, "deletedAt": null }}